# Unichain eth_getBlockByNumber

> Returns Unichain block information by number.

# `eth_getBlockByNumber`

<Description />

## Parameters

- `block parameter`: [_Required_] A hexadecimal block number, or one of the string tags `latest`, `earliest`, `pending`, or `finalized`. See the [default block parameter](https://ethereum.org/en/developers/docs/apis/json-rpc/#default-block).

  :::warning
  `safe` isn't supported. Use `finalized` instead.
  :::

- `show transaction details flag`: [_Required_] If set to `true`, returns the full transaction objects. If `false` returns only the hashes of the transactions.

## Returns

<Returns />

## Example

<Example />

### Request

<Tabs>
  <TabItem value="curl">

```bash
curl https://unichain-mainnet.infura.io/v3/<YOUR-API-KEY> \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"jsonrpc": "2.0", "method": "eth_getBlockByNumber", "params": ["0x5BAD55", false], "id": 1}'
```

  </TabItem>
</Tabs>

### Response

<Response />
